Show / Hide Table of Contents

# Class OpenIddictValidationConfiguration

Contains the methods required to ensure that the OpenIddict validation configuration is valid.

##### Inheritance

System.Object
OpenIddictValidationConfiguration

###### Namespace: OpenIddict.Validation

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationConfiguration : IPostConfigureOptions<OpenIddictValidationOptions>

### Constructors

#### OpenIddictValidationConfiguration(OpenIddictValidationService)

##### Declaration

    public OpenIddictValidationConfiguration(OpenIddictValidationService service)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationService | service |

### Methods

#### PostConfigure(String, OpenIddictValidationOptions)

Populates the default OpenIddict validation options and ensures that the configuration is in a consistent and valid state.

##### Declaration

    public void PostConfigure(string name, OpenIddictValidationOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name | The name of the options instance to configure, if applicable.
OpenIddictValidationOptions | options | The options instance to initialize.